Aggregate memory
curl --request GET \
--url https://www.dench.com/api/v1/agent-config/mem \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/agent-config/mem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/agent-config/mem"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agentConfig": {
"identity": null,
"organisation": null,
"memoryAggregate": {
"content": "Deploys go through Vercel.",
"updatedAt": 1765526400000
},
"toolsNotes": null,
"bootstrap": {
"completed": true,
"completedAt": 1765526400000
}
},
"userProfile": null,
"userTimezone": null,
"organizationId": "org_abc123"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}agent-config
Aggregate memory
Read aggregate memory.
GET
/
agent-config
/
mem
Aggregate memory
curl --request GET \
--url https://www.dench.com/api/v1/agent-config/mem \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/agent-config/mem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/agent-config/mem"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agentConfig": {
"identity": null,
"organisation": null,
"memoryAggregate": {
"content": "Deploys go through Vercel.",
"updatedAt": 1765526400000
},
"toolsNotes": null,
"bootstrap": {
"completed": true,
"completedAt": 1765526400000
}
},
"userProfile": null,
"userTimezone": null,
"organizationId": "org_abc123"
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.